Page MenuHomePhabricator

create RESTBase endpoints [34 pts] {slug}
Closed, ResolvedPublic

Description

  1. Make a RESTBase endpoint that queries Cassandra for pageviews by article for any arbitrary time range, hourly

URL might be something like: /analytics.wikimedia.org/v1/pageviews/{project}/{article}[/{granularity=daily}][/{start=yesterday}][/{end=now}]

  1. Make a RESTBase endpoint that queries Cassandra for:

total pageviews by project for any arbitrary time range, daily
total pageviews overall for any arbitrary time range, daily

URL could be something like: /analytics.wikimedia.org/v1/pageviews/[/{project=all}][/{granularity=daily}][/{start=yesterday}][/{end=now}]

  1. Make a RESTBase endpoint that queries (maybe Cassandra, maybe Druid) for:

top 1000 articles by project, daily, monthly, and yearly

The URL could be something like: /analytics.wikimedia.org/v1/pageviews/top/{project}[/{granularity=daily}][/{start=yesterday}][/{end=now}]

Event Timeline

Milimetric raised the priority of this task from to Needs Triage.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Backlog.
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 5:42 PM
Milimetric triaged this task as Normal priority.Jul 27 2015, 5:46 PM
Milimetric set Security to None.
Milimetric moved this task from Incoming to Medium on the Analytics-Backlog board.
Milimetric moved this task from Medium to Tasked on the Analytics-Backlog board.
Milimetric updated the task description. (Show Details)Jul 30 2015, 5:47 PM
mobrovac added a subscriber: mobrovac.
Milimetric removed a project: Analytics-Backlog.
Milimetric added a project: Analytics-Kanban.
Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.
ggellerman edited subscribers, added: JAllemandou; removed: Milimetric.
Milimetric renamed this task from create first RESTBase endpoint [8 pts] {slug} to create RESTBase endpoints [21 pts] {slug}.Aug 27 2015, 5:27 PM
Milimetric updated the task description. (Show Details)
Milimetric added subscribers: Milimetric, madhuvishy.
Milimetric renamed this task from create RESTBase endpoints [21 pts] {slug} to create RESTBase endpoints [34 pts] {slug}.Sep 25 2015, 9:15 PM
kevinator closed this task as Resolved.Oct 9 2015, 4:08 PM
kevinator added a subscriber: kevinator.